Bug 139308 - Random loss of keyboard across reboots
Random loss of keyboard across reboots
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-14 21:01 EST by Parag Warudkar
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-18 00:12:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Parag Warudkar 2004-11-14 21:01:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.2)

Description of problem:
Randomly across reboots, I lose the keyboard. Kudzu finds new hardware
and waits for a key press, and then times out since there is no key
press possible in absence of a keyboard.

Hardware is Athlon64 laptop - Compaq R3240US. The problem is
reproducible on any of the FC2+ official kernels.

I don't know what other specific info to provide, so please ask if you
need any. Thanks!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Shut down the machine
3.Sometimes you get no keyboard

Actual Results:  No keyboard

Expected Results:  Should consistently have the keyboard detected.

Additional info:
Comment 1 Parag Warudkar 2004-11-22 19:27:44 EST
If I reboot from Linux and go to Windows and come back again into 
Linux  - I lose the keyboard for sure.  
Anyone looking into this or am I filing it in the wrong place? 
Comment 2 Richard Hill 2005-06-27 03:23:33 EDT
I have this problem.  If I keep on tapping the caps lock key during boot, then 
the keyboard is found. 
Comment 3 Dave Jones 2005-07-15 13:31:42 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Parag Warudkar 2005-07-15 14:11:41 EDT
I no longer use Fedora but I am using Gentoo 2.6.12 Kernel which still has 
this issue to date. I have tracked it down to be an ACPI issue as it cures 
when acpi=off is passed on command line. This issue plus two other more 
annoying and interesting ones are tracked at

http://bugzilla.kernel.org/show_bug.cgi?id=4711. Take a look to see if you 
find them interesting enough.

I am fairly certain it will be reproducible on FC4 as I checked the FC4 kernel 
change log and saw nothing interesting.
Comment 5 Dave Jones 2006-01-16 17:08:19 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 6 Parag Warudkar 2006-01-18 00:12:02 EST
I don't think it is any benefit in keeping this one open here based on the 
nature of the bug - Closing. Thanks.

Note You need to log in before you can comment on or make changes to this bug.